unit uProg1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFoablak = class(TForm)
    Forras: TLabel;
    Rogton: TLabel;
    Kilepes: TLabel;
    Gombra: TLabel;
    eForras: TEdit;
    eRogton: TEdit;
    eKilep: TEdit;
    eGombra: TEdit;
    bKilep: TButton;
    bGomb: TButton;
    procedure eForrasChange(Sender: TObject);
    procedure eForrasExit(Sender: TObject);
    procedure bGombClick(Sender: TObject);
    procedure bKilepClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Foablak: TFoablak;

implementation

{$R *.DFM}

procedure TFoablak.eForrasChange(Sender: TObject);
begin
eRogton.Text := eForras.Text;
end;

procedure TFoablak.eForrasExit(Sender: TObject);
begin
eKilep.Text := eForras.Text;
end;

procedure TFoablak.bGombClick(Sender: TObject);
begin
eGombra.Text := eForras.Text;
end;

procedure TFoablak.bKilepClick(Sender: TObject);
begin
Close;
end;

end.
